Bug 223669 - FileUtil.normalizeFile does not work for non-existing files like "R:\my\."
FileUtil.normalizeFile does not work for non-existing files like "R:\my\."
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Filesystems
7.3
All All
: P3 (vote)
: 8.0
Assigned To: Jaroslav Tulach
issues@platform
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-11 15:14 UTC by lalldrin
Modified: 2013-12-16 02:08 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (5.18 KB, text/plain)
2012-12-11 15:14 UTC, lalldrin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lalldrin 2012-12-11 15:14:42 UTC
Build: NetBeans IDE 7.3 Beta 2 (Build 201211062253)
VM: Java HotSpot(TM) Client VM, 23.5-b02, Java(TM) SE Runtime Environment, 1.7.0_09-b05
OS: Windows 7

User Comments:
lalldrin: closing IDE

lalldrin: shutting down ide




Stacktrace: 
java.lang.AssertionError: Original file R:\my\. normalized: R:\my\.
   at org.openide.filesystems.FileUtil.normalizeFileCached(FileUtil.java:1771)
   at org.openide.filesystems.FileUtil.normalizeFile(FileUtil.java:1752)
   at org.netbeans.spi.project.support.ant.PropertyUtils.resolveFile(PropertyUtils.java:404)
   at org.netbeans.spi.project.support.ant.AntProjectHelper.resolveFile(AntProjectHelper.java:1296)
   at org.netbeans.spi.project.support.ant.SharabilityQueryImpl.computeFrom(SharabilityQueryImpl.java:100)
   at org.netbeans.spi.project.support.ant.SharabilityQueryImpl.computeFiles(SharabilityQueryImpl.java:86)
Comment 1 lalldrin 2012-12-11 15:14:44 UTC
Created attachment 129211 [details]
stacktrace
Comment 2 Milos Kleint 2012-12-12 12:40:23 UTC
we call FileUtil.normalize() and some assert fails there, not clear to me if related to our usage. please advise.
Comment 3 lalldrin 2012-12-12 20:53:47 UTC
FYI: it appears the link to my Linux file server (where the NB project was) went wonky just before this error occurred. I'm using ExpanDrive to map a Linux FTP connection to a Windows drive letter.
Comment 4 Jaroslav Tulach 2012-12-13 15:29:09 UTC
FileUtil.normalizeFileOnWindows uses getCanonicalFile and if it fails it gives up - returning files with "." at the end. We should remove the "/." manually in such case.
Comment 5 Jaroslav Tulach 2013-12-12 16:03:48 UTC
http://hg.netbeans.org/ergonomics/rev/07d8a5738330
Comment 6 Quality Engineering 2013-12-16 02:08:22 UTC
Integrated into 'main-silver', will be available in build *201312160002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/07d8a5738330
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #223669: Manually normalize files that are on non-accessible disks


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo